Bug 1658492

Summary: Not working flash plugin after update to glibc 2.28.9000-24 or newer
Product: [Fedora] Fedora Reporter: piio <bugzilla>
Component: glibcAssignee: Carlos O'Donell <codonell>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: aoliva, arjun.is, bugzilla, codonell, dj, fweimer, law, mfabian, pfrankli, rth, sid, william.cummings
Target Milestone: ---Flags: fweimer: needinfo? (bugzilla)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-29 17:34:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description piio 2018-12-12 09:50:13 UTC
Description of problem:
In newer versions (last working correctly is glibc-2.28.9000-22.fc30, maybe glibc-2.28.9000-23 is also ok but I don't tested this version) of glibc, flash player plugin from chrome (ppapi) stopped working with:

systemd-coredump[10292]: Process 10285 (chrome) of user 1000 dumped core.
                                                              
                                                              Stack trace of thread 1:
                                                              #0  0x00007fc43ed8a465 __clone (libc.so.6)

There is no problem created in abrt


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install glibc-2.28.9000-24+
2.
3.

Actual results:
Stack trace of thread 1:
                                                              #0  0x00007fc43ed8a465 __clone (libc.so.6)


Expected results:
flash player plugin working

Additional info:

Comment 1 Florian Weimer 2018-12-12 10:22:02 UTC
Please try to create a coredump, perhaps by enabling coredumps privileged processes temporarily (see /proc/sys/fs/suid_dumpable).

Comment 2 piio 2019-01-03 11:39:39 UTC
Hi,

I can't create coredump (I tried setting 2 to suid_dumpable), can you tell me how to debug this issue?

Comment 3 Florian Weimer 2019-01-03 12:17:31 UTC
(In reply to piio from comment #2)
> I can't create coredump (I tried setting 2 to suid_dumpable), can you tell
> me how to debug this issue?

Does the issue reproduce if you launch the browser with --no-sandbox?  This might help to produce a coredump.

It could also help to set kernel.core_pattern=/tmp/core.%p and fs.suid_dumpable=1, and also use ulimit -c unlimited.  In general, this is not a secure configuration, but it should allow you to capture a coredump.

Comment 4 piio 2019-01-03 13:27:31 UTC
Hi,

I just checked, and with --no-sandbox flash is loading and everything is ok (glibc-2.28.9000-28).

I set kernel.core_pattern, fs.suid_dumpable and ulimit but now I don't see crash, only following messages in log:
sty 03 14:15:57 (...) audit[11451]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=11451 comm="chrome" exe="/opt/google/chrome/chrome" sig=31 res=1
sty 03 14:15:57 (...) audit[11457]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=11457 comm="chrome" exe="/opt/google/chrome/chrome" sig=31 res=1

In /tmp I don't see eny core.* file

Comment 5 Florian Weimer 2019-05-29 17:34:39 UTC
Tomas Popela identified the Chromium bug that causes this:

https://bugs.chromium.org/p/chromium/issues/detail?id=949312

It's an issue with their sandbox and needs to be fixed there.